org.eclipse.viatra.transformation.evm.transactions.specific

## Class TransactionalJobs

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.transactions.specific.TransactionalJobs

-     public final class TransactionalJobs
      extends java.lang.Object

  Provides static methods acting on or generating a `Job`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <Match extends IPatternMatch> EventAtomEditingDomainProvider<Match>` | `createMatchBasedEditingDomainProvider()`
    `static <EventAtom> Job<EventAtom>` | `newRecordingJob(Job<EventAtom> job)` Creates a `RecordingJob` decorating the given job.
    `static <EventAtom> Job<EventAtom>` | `newRecordingJob(Job<EventAtom> job, EventAtomEditingDomainProvider<EventAtom> provider)` Creates a `RecordingJob` decorating the given job.
    `static <EventAtom extends IPatternMatch> Job<EventAtom>` | `newRecordingJobForMatchActivation(Job<EventAtom> job)` Creates a `RecordingJob` decorating the given job.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createMatchBasedEditingDomainProvider

          public static <Match extends IPatternMatch> EventAtomEditingDomainProvider<Match> createMatchBasedEditingDomainProvider()

    - #### newRecordingJob

          public static <EventAtom> Job<EventAtom> newRecordingJob(Job<EventAtom> job)

      Creates a `RecordingJob` decorating the given job. A recording job attempts to find the transactional editing domain from the context and wraps the execution inside a command, that is accessible from the context afterwards.
      Parameters:
        `job` -

    - #### newRecordingJob

          public static <EventAtom> Job<EventAtom> newRecordingJob(Job<EventAtom> job,
                                                                   EventAtomEditingDomainProvider<EventAtom> provider)

      Creates a `RecordingJob` decorating the given job. A recording job attempts to find the transactional editing domain using the given provider and wraps the execution inside a command, that is accessible from the context afterwards.
      Parameters:
        `job` -

    - #### newRecordingJobForMatchActivation

          public static <EventAtom extends IPatternMatch> Job<EventAtom> newRecordingJobForMatchActivation(Job<EventAtom> job)

      Creates a `RecordingJob` decorating the given job. A recording job attempts to find the transactional editing domain for the match in the event atom and wraps the execution inside a command, that is accessible from the context afterwards.
      Parameters:
        `job` -